#include <iostream>

using namespace std;

int main()
{
    int t;
    cin>>t;
    long long int a[t],b[t];
    for(int i=0;i<t;i++){
        cin>>a[i]>>b[i];
    }
    long long int x[t],y[t];
    int n[t];
    for(int k=0;k<t;k++){
        n[k]=0;
        for(int i=1;i<a[k];i++){
            for(int j=1;j<a[k];j++){
                if(((a[k]%i)==0)&&((a[k]%j)==0)){
                    if(((i*j)==a[k])&&((i^j)==b[k])){
                        x[k] = i;
                        y[k] = j;
                        n[k] = 1;
                        break;
                    }
                }
            }
        }
    }
    for(int k=0;k<t;k++){
        if(n[k]==1){
            cout<<y[k]<<" "<<x[k]<<endl;
        }else{
            cout<<"-1"<<endl;
        }
    }
    return 0;
}